Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.actions.support
Class ShowOnlineSoapUIHelp

    java.lang.Object
      com.eviware.soapui.support.action.support.AbstractSoapUIAction
          com.eviware.soapui.impl.wsdl.actions.support.ShowOnlineSoapUIHelp

All Implemented Interfaces:
  SoapUIAction, HelpActionMarker, PropertyChangeNotifier

    public class ShowOnlineSoapUIHelp

extends AbstractSoapUIAction
implements HelpActionMarker

Shows an online help page

Author:
  Ole.Matzura

Field Summary
`static java.lang.String` | `SOAPUI_ACTION_ID`

Fields inherited from interface com.eviware.soapui.support.action.SoapUIAction
`ENABLED_PROPERTY`

Constructor Summary
`ShowOnlineSoapUIHelp()`
`ShowOnlineSoapUIHelp(java.lang.String name, java.lang.String url)`

Method Summary
`void` | `perform(ModelItem target, java.lang.Object param)`

Methods inherited from class com.eviware.soapui.support.action.support.AbstractSoapUIAction
`addPropertyChangeListener, addPropertyChangeListener, applies, getDescription, getName, isDefault, isEnabled, removePropertyChangeListener, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SOAPUI_ACTION_ID

    public static final java.lang.String SOAPUI_ACTION_ID

See Also:
  Constant Field Values

Constructor Detail

### ShowOnlineSoapUIHelp

    public ShowOnlineSoapUIHelp()

### ShowOnlineSoapUIHelp

    public ShowOnlineSoapUIHelp(java.lang.String name,
                                java.lang.String url)

Method Detail

### perform

    public void perform(ModelItem target,
                        java.lang.Object param)

  Specified by:
    `perform` in interface `SoapUIAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.